// three js animation for the banner
var canv = document.getElementById('canvas');
var renderer = new THREE.WebGLRenderer({canvas: canv, antialias: true});
var camera = new THREE.PerspectiveCamera(50, canv.offsetWidth / canv.offsetHeight, 0.1, 10000);

var scene = new THREE.Scene();
scene.background = new THREE.Color(0xf8f9fa);
// scene.fog = new THREE.FogExp2( 0xf8f9fa, 0.002);
//renderer
// renderer.setClearColor(0x181F1C); 
renderer.setSize(canv.offsetWidth, canv.offsetHeight);
renderer.setPixelRatio(window.devicePixelRatio);
// document.body.appendChild(renderer.domElement);

var light = new THREE.AmbientLight( 0x404040, 2); // soft white light
scene.add( light );


var material = new THREE.MeshBasicMaterial({
color: 0x046B36,                             
});

var material2 = new THREE.MeshBasicMaterial({
    color: 0x8EC90D,   
    // wireframe: true,                               

    });

var material_bgk = new THREE.MeshBasicMaterial({
    color: 0x9DA3A4,
     wireframe: true,                               
    });

// var light2 = new THREE.PointLight(0xDBF3F3, 0.5);
// light2.position.set(0, 100, 100);
// scene.add(light2)

var adc = new THREE.Mesh;

geometry = new THREE.BufferGeometry();
var loader = new THREE.STLLoader();

loader.load( './adc.stl', function ( geometry ) {
    adc.geometry = geometry;
    adc.material = material;    
});

var doc_geo = new THREE.DodecahedronGeometry(200);
var bgk = new THREE.Mesh(doc_geo, material_bgk);
bgk.rotation.y = 45;
adc.position.x = -36;
adc.rotation.x = 135;
adc.position.y = 30;

var doc = new THREE.Mesh(new THREE.DodecahedronGeometry(5, ), material2);
doc.position.y = -15;
doc.position.x = -16;

var doc2 = new THREE.Mesh(new THREE.DodecahedronGeometry(5, ), material2);
doc2.position.y = -15;
doc2.position.x = 16;


adc_group = new THREE.Group();
adc_group.add(adc);
adc_group.add(doc);
adc_group.add(doc2);

scene.add(bgk);
scene.add(adc_group);

//scene and camera setup
camera.position.set(0, 0, 90);
camera.lookAt(0, 0, 0);
scene.add(camera);

window.addEventListener('resize',windowResize, false);

function windowResize(){
    camera.aspect = canv.offsetWidth / canv.offsetHeight;
    camera.updateProjectionMatrix();
    renderer.setSize(canv.offsetWidth, canv.offsetHeight);
  
}

var clock = new THREE.Clock();
function render() {
    var t = clock.getElapsedTime();
    var d = clock.getDelta();
    requestAnimationFrame(render);
    
    renderer.render(scene, camera);
    // camera.rotation.x = Math.sin(t * 1) / 30;
    // camera.position.z -= Math.sin(t * 2.5) / 25;
    camera.position.y = Math.sin(t * 2) * 2;
    // camera.position.x += Math.sin(t * 3)/50;

    bgk.rotation.z += 0.001;
    doc.rotation.x += 0.006;
    doc.rotation.z += 0.006;

    doc2.rotation.y -= 0.006;
    doc2.rotation.x -= 0.006;
    adc_group.rotation.z  = Math.sin(t * 2) / 25;
    adc_group.rotation.x  = Math.cos(t * 2) / 25;


    // doc.position.z += Math.sin(t) / 10;
    // doc.position.x += Math.cos(t) / 60;

    // doc2.position.x += Math.sin(t) / 60;
    // doc2.position.y += Math.cos(t) / 50;


    

}

render();



